NamingListener (Java Platform SE 8 )
Keywords: javax.naming.event.NamingListener interface
Date: 2026-03-29

compact3
javax.naming.event

## Interface NamingListener

- All Superinterfaces:
    EventListener
  All Known Subinterfaces:
    NamespaceChangeListener, ObjectChangeListener, UnsolicitedNotificationListener

      public interface NamingListener
      extends EventListener

  This interface is the root of listener interfaces that handle `NamingEvent`s. It does not make sense for a listener to implement just this interface. A listener typically implements a subinterface of `NamingListener`, such as `ObjectChangeListener` or `NamespaceChangeListener`.

  This interface contains a single method, `namingExceptionThrown()`, that must be implemented so that the listener can be notified of exceptions that are thrown (by the service provider) while gathering information about the events that they're interested in. When this method is invoked, the listener has been automatically deregistered from the `EventContext` with which it has registered.

  For example, suppose a listener implements `ObjectChangeListener` and registers with a `EventContext`. Then, if the connection to the server is subsequently broken, the listener will receive a `NamingExceptionEvent` and may take some corrective action, such as notifying the user of the application.

  Since:
    1.3
  See Also:
    `NamingEvent`, `NamingExceptionEvent`, `EventContext`, `EventDirContext`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `namingExceptionThrown(NamingExceptionEvent evt)` Called when a naming exception is thrown while attempting to fire a `NamingEvent`.

- - ### Method Detail

    - #### namingExceptionThrown

          void namingExceptionThrown(NamingExceptionEvent evt)

      Called when a naming exception is thrown while attempting to fire a `NamingEvent`.
      Parameters:
        `evt` - The nonnull event.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.